#!/usr/bin/tclsh

################################################################################
#  User Customizations
#  (NOTE: keep the toolbar size in OOo to automatic)
#
#  To install the default theme on OOo 1.1.x, try running:
#  "tclsh quickInstall.tcl" directly
################################################################################

# 1. specify your OOo config directory
# note: To revert back to OOo icons, remove imagelist.xml from config directory
set OOconfigDir "/home/<username>/OpenOffice.org1.1.0/user/config/soffice.cfg/"

# set the following to true if you want to use your kde-icon theme
# i.e., you can go to kde control center and select your icon theme
# then run this this script to take effect in OOo
# There are some nice icons in .BaseIcons... you may want to copy
# over to kde_theme/ and run the script again, with
# ThemeDir "kde_theme/22x22/" and useKDEdefault false
set useKDEdefault "false"; # true/false

# 2. specify kde config file (relative to home)
# Following should be okay for Mandrake Linux 9.1
set KDE_GLOB ".kde/share/config/kdeglobals"
# and global kde icons directory
set ICN_DIR "/usr/share/icons/"
# and local kde icon directory
set LCN_DIR ".kde/share/icons/"
# and kde-toolbar icon sz
set kde_icon_sz 22; # usually 16 or 22

# 3. choose your theme (MyTheme reverts to default: crystal+ mix)
#    you can override the default icons by putting your icons there
# (don't forget the trailing '/')
# if you have chosen kde-theme, following ThemeDir does not matter
 set ThemeDir    "MyTheme/22x22/"
# set ThemeDir    "Noia/22x22/"
# set ThemeDir    "Nuvola/22x22/"
# set ThemeDir    "Gorilla/22x22/"
# set ThemeDir    "gtk-stock/24x24/"
# set ThemeDir    "Aqua/22x22/"
# set ThemeDir    "MyTheme/16x16/"
# set ThemeDir    "ikons/16x16/"
# set ThemeDir    "../Win/22x22/"

  global scale_size
  global scale_sharp
  global unscale
  set scale_size "null"; # either null or a size
#   set scale_size "16x16"; # lower than 18x18, not good results
  set scale_sharp 2
  set unscale {{05} {06} {13} {15} {81} {82} {112} {113} \
               {07} {10} {24} {76} {77} {78} {79} {80}}
  # unscale contains the list of items from the first column
  # of slotlist.csv, that will be ommited when scaling


# 4. background color
# if you know the back ground color for OOo toolbar,
# set it here and set guessBG to false
set bg       "#f1f1f1"

# else, set guessBG equal to true.  This should work okay provided in the
# kde control center, "apply colors to non-kde apps" is checked
# (you may also need to append (after specifying the theme)
# <include "/home/your_username/.gtkrc-kde">
# to your ~/.gtkrc  (without <>)
set guessBG "true"; # true/false

# Bitmap masking of icons for some themes dosn't look too good
# You can turn it back on by setting maskImg to "true"
# NOTE: For OOo  1.0.x,  set maskImg true
global maskImg;
set maskImg "false"; # true/false

# Set this to false if you dont like to add navigation icons
# to the function toolbar. (you can also select them to be
# not visible from within OOo)
set addNavIcons  "false"; # true/false

# Set to true if you like to have a separate navigation toolbar
# To make it invisible, go to Tools -> configure -> Toolbars
# and uncheck Userdefined no. 1
# (you can also delete the file userdeftoolbox1.xml from your
#  config directory)
set addNavBar    "false"; # true/false

# offset of 0 pixel is min., default should be okay
# if images seem to overlap, set it back to the safe values
set dx 1; # safe value = 2
set dy 1; # safe value = 1

	if { $scale_size != "null" } {
		set dx 0;
		set dy 0;
    }


# if config dir/files not found, create? (default okay)
set genConfig   "false"

set homeDir    $env(HOME)

# end
# {{10030} {10028} {10031} {10029} {20144} {20138} {10462} {10461}}
