#!/usr/bin/tclsh

################################################################################
#  1.0  Description
#
#  tcl script for generating OOo toolbar/menu bar icons from default theme
################################################################################
# begin   08/29/03
# author  Rohit Kaul
# License
# -------
# GPL

#  10/26/03 - check if sversionrc has multiple OOo 1.1 installations (abort)

################################################################################
#  2. Procs
################################################################################

proc guessOOoDir { } {

	set relCfg "/user/config/soffice.cfg/"

	set fp [open "~/.sversionrc" r]
	set tmp [read $fp]
	close $fp
	set tmp [split $tmp "\n"]

    set search "OpenOffice.org 1.1"

    set count 0;
    foreach line $tmp {
		set frst [string first $search $line]
        if { $frst != -1 } {
        	incr count
        }
    }

    if { $count > 1 } {
		puts "\nMultiple versions of OpenOffice.org 1.1x found: $count"
        puts "quick install cannot continue, exiting."
        puts "You have 2 options:\n"
        puts "1. Edit your ~/.sversionrc to your current version and then"
        puts "   rerun quickinstall.tcl"
        puts "2. (a) Set the correct path for: OOconfigDir"
        puts "   (b) set guessBG false"
        puts "   (c) set bg <your toolbar color>"
        puts "   in config.tcl and then run: tclsh genbar.tcl"
        puts "   (not quickinstall)"
        exit
    }

    set search "OpenOffice.org 1.1*"
	set indx [lsearch $tmp $search]

    if { $indx == -1 } {
    puts "Unable to locate the OOo 1.1* dir";
    puts "please update config.tcl (OOconfigDir, bg, guessBG false) and"
    puts "run: tclsh genbar.tcl"
    exit
    }

    set  tmp     [lindex $tmp $indx]
    set  tmp     [split $tmp "="]
    set  OOoPath [lindex $tmp 1]
    set  OOoPath [string range $OOoPath 7 end ]
    puts "Found OOo: ($OOoPath)"

    if { [file isdirectory $OOoPath] == 0 } {
		puts "Directory does not exist!"
		puts "please edit your ~/.sversionrc to the correct path"
        exit
    }

    set OOoPath $OOoPath$relCfg

    set fp    [open autoConfig.tcl  w]
	puts $fp "set OOconfigDir \"$OOoPath\""
    close $fp
}

	guessOOoDir
    source genbar.tcl
    exec rm -f autoConfig.tcl
